Subject: Re: bug#4033: 23.1; list-colors-display is misleading

From: Jason Rumney <[email-masked]>
Date: Wed, 05 Aug 2009 14:57:10 +0800

Drew Adams wrote:

> The idea then is to have Emacs use an RGB format that is appropriate for the
> user's display. If the display supports 8 bits per component, it would show
> #RRGGBB. If the display supports 16 bits per component, it would show
> #RRRRGGGGBBBB. If the display supports 12 bits per component, it would show
> #RRRGGGBBB. 
>   

The number of displays supporting more than 8 bits per component is so 
miniscule that I don't think it is really worth worrying about.  I'm 
also not sure what display-color-cells reports on Windows 7 with 30, 36 
or 48 bit color output enabled. If it reports anything > 2^24, then it 
does not reflect reality, which is that the standard Windows API's do 
not support more than 8 bits per component.